/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/BEOPTION.CPP   1.2.1.5   17 Apr 1997 15:41:48   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/BEOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:41:48   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:15:50   ZJRD
** 2.09F
** 
****************************************************************************/

// aeoption.cpp : implementation file
// 
#include "stdafx.h"
#include "resource.h"
#include "uicom.h"

#include "toolopt.h"
#include "be.h"
#include "beoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AEOption dialog


BEOption::BEOption(BETool *pTool /*=NULL*/)
    : CPropertyPage(BEOption::IDD)
{  
    ASSERT(pTool);
    m_pTool = pTool;
    
    LoadData(); 
    //{{AFX_DATA_INIT(BEOption)
   
    //}}AFX_DATA_INIT
}

void BEOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(BEOption)
    DDX_Text(pDX, IDC_BEOPT_EDIT1, m_strPath);
    DDX_Text(pDX, IDC_BEOPT_EDIT2, m_strProg);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// AEOption message handlers
  void BEOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strProg.TrimLeft();
    m_strProg.TrimRight();
    m_pTool->m_strPath    = m_strPath;
    m_pTool->m_strProg    = m_strProg;
}

 void BEOption::LoadData(void)
{
    m_strPath  = m_pTool->m_strPath;
    m_strProg    = m_pTool->m_strProg;
}

BEGIN_MESSAGE_MAP(BEOption, CPropertyPage)
    //{{AFX_MSG_MAP(BEOption)
	ON_BN_CLICKED(IDC_BEOPT_BROWSE, OnBeoptBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()    

	 static char BASED_CODE szFilter[] = 
    "Excutable (*.exe)|*.exe|Command (*.com)|*.com|All Files (*.*)|*.*||";

void BEOption::OnBeoptBrowse()
{
    // TODO: Add your control notification handler code here
   
    CFileDialog dlg(TRUE, NULL, "*.exe", 
        OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT, szFilter, this); 
    
    dlg.SetHelpID(IDD_IDEOPEN);
    dlg.m_ofn.lpstrTitle = "Browse";
    if(dlg.DoModal() == IDOK) {
        m_strPath = dlg.GetPathName();
        UpdateData(FALSE);
    }


}
